com.brightcove.ssai.ui

## Class UIManager

- java.lang.Object
- - com.brightcove.player.event.AbstractComponent
  - - com.brightcove.ssai.ui.UIManager

- All Implemented Interfaces:
    Component, AdPodListener, AdOverlayConfigListener

      @Emits(events="setMarkers")
      public class UIManager
      extends AbstractComponent
      implements AdPodListener, AdOverlayConfigListener

  Class responsible to update the UI elements of the `BaseVideoView` and the `BrightcoveMediaController`.

- - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.event.AbstractComponent

      `eventEmitter, listenerTokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIManager(BaseVideoView baseVideoView, TimelineManager timelineManager)` Instantiates a new Ui manager.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdMarkers(java.util.List<java.lang.Long> markerPositions)` Add ad markers.
    `void` | `onAdOverlayConfigChanged(AdOverlayConfig adOverlayConfig)` Triggered when there is a `AdOverlayConfig` change.
    `void` | `onAdPodEnded(AdPod adPod)` Indicates than an Ad pod has ended.
    `void` | `onAdPodStarted(AdPod adPod)` Indicates than an Ad pod has started.
    `void` | `removeListeners()` Removes all set listeners from the EventEmitter.

    - ### Methods inherited from class com.brightcove.player.event.AbstractComponent

      `addListener, addOnceListener, getEventEmitter, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UIManager

          public UIManager(@NonNull
                           BaseVideoView baseVideoView,
                           @NonNull
                           TimelineManager timelineManager)

      Instantiates a new Ui manager.
      Parameters:
        `baseVideoView` - the base video view
        `timelineManager` - the timeline manager

  - ### Method Detail

    - #### addAdMarkers

          public void addAdMarkers(java.util.List<java.lang.Long> markerPositions)

      Add ad markers.
      Parameters:
        `markerPositions` - the marker positions

    - #### onAdPodStarted

          public void onAdPodStarted(AdPod adPod)

      Description copied from interface: `AdPodListener`
      Indicates than an Ad pod has started.
      Specified by:
        `onAdPodStarted` in interface `AdPodListener`
      Parameters:
        `adPod` - the Ad pod

    - #### onAdPodEnded

          public void onAdPodEnded(AdPod adPod)

      Description copied from interface: `AdPodListener`
      Indicates than an Ad pod has ended.
      Specified by:
        `onAdPodEnded` in interface `AdPodListener`
      Parameters:
        `adPod` - the Ad pod

    - #### removeListeners

          public void removeListeners()

      Description copied from class: `AbstractComponent`
      Removes all set listeners from the EventEmitter.
      Overrides:
        `removeListeners` in class `AbstractComponent`

    - #### onAdOverlayConfigChanged

          public void onAdOverlayConfigChanged(@NonNull
                                               AdOverlayConfig adOverlayConfig)

      Description copied from interface: `AdOverlayConfigListener`
      Triggered when there is a `AdOverlayConfig` change.
      Specified by:
        `onAdOverlayConfigChanged` in interface `AdOverlayConfigListener`
      Parameters:
        `adOverlayConfig` - the ad overlay config